package speiger.src.coreengine.rendering.input.events;

import java.nio.file.Path;

public class FileEvents {
	public static class Drop extends MouseEvent {
		Path[] files;
		String[] extension;
		String[] name;
		
		public Drop(long window, int x, int y, Path[] files) {
			super(window, x, y);
			this.files = files;
			this.extension = new String[files.length];
			this.name = new String[files.length];
			for(int i = 0,m=files.length;i<m;i++) {
				String name = files[i].getFileName().toString();
				this.name[i] = name;
				this.extension[i] = name.substring(name.lastIndexOf(".")+1);
			}
		}
		
		public int size() { return files.length; }
		public Path file(int index) { return files[index]; }
		public String extension(int index) { return extension[index]; }
		public String name(int index) { return name[index]; }
	}
}
